org.apache.pdfbox.pdmodel.interactive.annotation.layout

## Class AppearanceStyle

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.layout.AppearanceStyle

    public class AppearanceStyle
    extends Object

Define styling attributes to be used for text formatting.

### Constructor Summary

Constructors
Constructor and Description
`AppearanceStyle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setFont(PDFont font)` Set the font to be used for text formatting.
`void` `setFontSize(float fontSize)` Set the font size to be used for formatting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppearanceStyle

    public AppearanceStyle()

### Method Detail

#### setFont

    public void setFont(PDFont font)

Set the font to be used for text formatting.

Parameters:
  `font` - the font to be used.

#### setFontSize

    public void setFontSize(float fontSize)

Set the font size to be used for formatting.

Parameters:
  `fontSize` - the font size.